<?php

update_option( 'cheshalo_token', true );
update_option( 'cheshalo_is_activated', true );
update_option( 'cheshalo_purchase_code', '********************************' );												

/**
 *
 * The framework's functions and definitions
 */

define( 'CHESHALO_THEME_DIR', get_template_directory_uri() );
define( 'CHESHALO_THEMEROOT', get_template_directory() );
define( 'CHESHALO_IMAGES', CHESHALO_THEME_DIR . '/images' );
define( 'CHESHALO_SCRIPTS', CHESHALO_THEME_DIR . '/js' );
define( 'CHESHALO_STYLES', CHESHALO_THEME_DIR . '/css' );
define( 'CHESHALO_FRAMEWORK', '/inc' );
define( 'CHESHALO_DUMMY', CHESHALO_THEME_DIR . '/inc/dummy-content' );
define( 'CHESHALO_CLASSES', CHESHALO_THEMEROOT . '/inc/classes' );
define( 'CHESHALO_CONFIGS', CHESHALO_THEMEROOT . '/inc/configs' );
define( 'CHESHALO_HEADER_BUILDER', CHESHALO_THEME_DIR . '/inc/header-builder' );
define( 'CHESHALO_ASSETS', CHESHALO_THEME_DIR . '/inc/admin/assets' );
define( 'CHESHALO_ASSETS_IMAGES', CHESHALO_ASSETS . '/images' );
define( 'CHESHALO_API_URL', 'https://themefars.com/licenses/api/' );
define( 'CHESHALO_DEMO_URL', 'https://dl.themefars.com/' );
define( 'CHESHALO_PLUGINS_URL', CHESHALO_DEMO_URL . 'plugins/' );
define( 'CHESHALO_DUMMY_URL', CHESHALO_DEMO_URL . 'dummy-content-new/' );
define( 'CHESHALO_TOOLTIP_URL', CHESHALO_DEMO_URL . 'theme-settings-tooltips/' );
define( 'CHESHALO_SLUG', 'cheshalo' );
define( 'CHESHALO_CORE_VERSION', '6.2.0' );
define( 'CHESHALO_WPB_CSS_VERSION', '1.0.2' );

if ( ! function_exists( 'cheshalo_load_classes' ) ) {
	function cheshalo_load_classes() {
		$classes = array(
			'Singleton.php',
			'Api.php',
			'Googlefonts.php',
			'Config.php',
			'Layout.php',
			'License.php',
			'Notices.php',
			'Options.php',
			'Stylesstorage.php',
			'Theme.php',
			'Themesettingscss.php',
			'Vctemplates.php',
			'Wpbcssgenerator.php',
			'Registry.php',
			'Pagecssfiles.php',
		);

		foreach ( $classes as $class ) {
			require CHESHALO_CLASSES . DIRECTORY_SEPARATOR . $class;
		}
	}
}

cheshalo_load_classes();

new CHESHALO_Theme();

define( 'CHESHALO_VERSION', cheshalo_get_theme_info( 'Version' ) );
